Package: org.codehaus.groovy.runtime

## [Java] Class FlushingStreamWriter

- org.codehaus.groovy.runtime.FlushingStreamWriter

- Stream writer which flushes after each write operation.

  Authors:
    Guillaume Laforge

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FlushingStreamWriter (OutputStream out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `write(char[] cbuf, int off, int len)`
    `` | `void` | `write(int c)`
    `` | `void` | `write(String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class OutputStreamWriter` | `append, append, append, append, flush, write, write, write, close, getEncoding, append, append, write, write, nullWriter, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Writer` | `append, append, append, append, append, append, flush, write, write, write, write, write, close, nullWriter, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public FlushingStreamWriter(OutputStream out)

  - ### Method Detail

    - #### public void write(char[] cbuf, int off, int len)

    - #### public void write(int c)

    - #### public void write(String str, int off, int len)